import request from '@/utils/request';

// 查询客户目标任务列表
export function listClientTask(query: any) {
  return request({
    url: '/customer/customerTarget/list',
    method: 'get',
    params: query
  });
}

// 查询客户目标任务详细
export function getClientTask(id: string | number) {
  return request({
    url: '/customer/customerTarget/' + id,
    method: 'get'
  });
}

// 新增客户目标任务
export function addClientTask(data: any) {
  return request({
    url: '/customer/customerTarget',
    method: 'post',
    data: data
  });
}

// 修改客户目标任务
export function updateClientTask(data: any) {
  return request({
    url: '/customer/customerTarget',
    method: 'put',
    data: data
  });
}

// 删除客户目标任务
export function delClientTask(ids: string | number | Array<string | number>) {
  return request({
    url: '/customer/customerTarget/' + ids,
    method: 'delete'
  });
}
